{{- if .Values.createNamespace | default false }}
apiVersion: v1
kind: Namespace
metadata:
  name: {{ .Values.gitRepository.namespace }}
  labels:
    app.kubernetes.io/name: flux
    kubernetes.io/metadata.name: {{ .Values.gitRepository.namespace }}
{{- end }}